	.include "macro.i"


	.include "cs8900a.i"


	.import main
	.import cs_write_page
	.import cs_packet_page
	.import cs_packet_data
	.import cfg_mac

	.import rr_ctl
	.importzp rr_net_enable


	.segment "STARTUP"

	.word * + 2				; load address


	.code

init:
	lda #rr_net_enable			; enable clock port
	sta rr_ctl

	lda #0					; detect RR-Net
	sta cs_packet_page
	sta cs_packet_page + 1
	lda cs_packet_data
 	cmp #$0e
	bne @notfound
	lda cs_packet_data + 1
	cmp #$63
	bne @notfound

	ldy #$6b				; print "OK"
	jsr $f12f

	write_page pp_self_ctl, #$0055		; $0114, reset chip

	write_page pp_rx_ctl, #$0d05		; $0104, accept individual and broadcast packets

	write_page pp_ia, cfg_mac		; $0158, write mac address
	write_page pp_ia + 2, cfg_mac + 2
	write_page pp_ia + 4, cfg_mac + 4

	write_page pp_line_ctl, #$00d3		; $0112, enable rx and tx

	jmp main


@notfound:
	lda #$ff
	sta $3a
	ldx #5
	jmp $a437
